Bug 4291

Summary: Cancel in AddBreakpoint Window deletes breakpoint.
Product: debugger Reporter: Daniel Prusa <dprusa>
Component: CodeAssignee: Daniel Prusa <dprusa>
Status: CLOSED FIXED QA Contact: issues <issues.netbeans.org>
Priority: P1    
Version: 3.x   
Target Milestone: TBD   
Hardware: All   
OS: All   
Whiteboard:
Issue Type: DEFECT Exception Report:

Description Daniel Prusa 1999-10-06 22:14:06 UTC
Let C1 be a class and N number of line in C1.java where breakpoint could be setted.

Go into DebuggerWindow/Breakpoints, add new breakpoint - invoke AddBreakpoint Window, set breakpoint on line N in class C1 (Breakpoint Type = Line). Close window by OK. Breakpoint appears in DebuggerW
indow.
Invoke AddBreakpoint Window again. Fill in the same parameters as before - breakpoint on line N in class C1. Close AddBreakpoint Window by Cancel. Our breakpoint disappers from list of breakpoints in
DebuggerWindow (or in Explorer).
But the breakpoint is still setted - try to debug C1 now. Debugger stops on the line N.


The same situation occurs for another type of breakpoint (for example on Exception breakpoint). If the breakpoint is specified in AddBreakpoint Window two times according to the given description, the
n the breakpoint disappears from the list, but remains still setted.
Comment 1 Jan Stola 2000-07-27 16:19:59 UTC
Verified in Build 2011.
Comment 2 Quality Engineering 2003-07-02 16:03:56 UTC
Resolved for 3.4.x or earlier, no new info since then -> closing.
By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo